KATE(1)

NOM
kate - Editor avançat de text per al KDE

SINOPSI

kate [-s, --start nom] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding nom] [-l, --line línia] [-c, --column columna] [-i, --stdin] [--tempfile] [fitxer]

DESCRIPCIÓ

El Kate és l'editor avançat de text del KDE.

El Kate també proveeix la part editora a diverses aplicacions, sota el nom KWrite.

Algunes de les característiques de Kate inclouen la configurabilitat del ressaltat de la sintaxi per a ordenar llenguatges com C i C++, HTML o scripts de bash, l'habilitat de crear i mantenir projectes, una interfície de múltiples documents (MDI), i un emulador de terminal contingut a dins seu.

Però el Kate és molt més que un editor per a programadors. La seva capacitat d'obrir diversos fitxers simultàniament és ideal per a editar molts fitxers de configuració d'UNIX®. Aquest document s'ha escrit en el Kate.

OPCIONS

-s, --start nom
    Inicia el Kate amb una sessió indicada.

--startanon
    Inicia el Kate amb una nova sessió anònima, implica -n.

-n, --new
    Força l'inici d'una nova instància del Kate (s'ignora si s'ha usat start i una altra instància del Kate ja té la sessió indicada oberta), forçada si no se li proporcionen paràmetres ni URL.

-b, --block
    Si s'està usant una instància del Kate en execució, la bloqueja fins que sortiu, si se li han proporcionat URL a obrir.

-p, --pid pid
    Intenta només usar la instància del kate amb aquest pid (s'ignora si s'ha usat start i ja hi ha una altra instància del Kate amb la sessió indicada oberta).

-e, --encoding nom
    Estableix la codificació del fitxer a obrir.

    La podeu usar per a forçar obrir un fitxer en el format utf-8, per exemple. (L'ordre iconv -l proveeix una llista de codificacions, la qual us pot resultar d'ajuda).

-l, --line línia
    Navega fins aquesta línia.

-c, --column columna
    Navega fins aquesta columna.

-i, --stdin
    Llegeix el contingut de stdin.

--tempfile
    Els fitxers/URL oberts per l'aplicació se suprimiran després d'usar-los.

fitxer
    Fitxer a obrir.

VEGEU TAMBÉ
    Hi ha disponible documentació d'usuari més detallada des de help:/kate (introduïu aquest URL al Konqueror o executeu khelpcenter help:/kate).
    kf5options(7)
    qt5options(7)
    També hi ha més informació disponible al lloc web del Kate[1].

EXEMPLES

Per a obrir un fitxer anomenat font.cpp a la columna 15, línia 25, en una finestra existent del Kate, haureu d'usar:

    kate -c 15 -l 25 font.cpp

Si teniu activa una connexió a la Internet, podeu gaudir de l'avantatge de la transparència a xarxa del KDE per a obrir un fitxer des d'un lloc d'FTP. Si no disposeu de permisos d'escriptura sobre el servidor remot, el fitxer tan sols serà obert i se us demanarà per un nom de fitxer local i desar així els vostres canvis. Si teniu permís d'escriptura, els canvis seran desats amb transparència sobre la xarxa.

    kate ftp://ftp.kde.org/pub/kde/README

AUTORS

El mantenidor del Kate és en Cullmann, Christoph <cullmann@kde.org>. Està disponible una llista exhaustiva d'autors i col⋅laboradors en el complet manual d'usuari mencionat anteriorment.

AUTOR

Watts, Lauri <lauri@kde.org>
    Autor.

NOTES

1.  lloc web del Kate
    https://kate-editor.org/